Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# PlayerPose Class Reference

This class contains the informations about the PlayerPose of a located robot. More...

`#include <PlayerPoseCollection.h>`

Collaboration diagram for PlayerPose:

[legend]
List of all members.

## Public Member Functions
| PlayerPose ()
| Constructor.
| PlayerPose (const PlayerPose &other)
| Copy-Constructor.
| ~PlayerPose ()
| Destructor.
void | setFrameNumber (unsigned long frameNumber)
void | setPose (const Pose2D &p)
| sets the pose
void | setRobotPose (const RobotPose &p)
| sets the pose
void | setPose (const double &x, const double &y, const double &rotation)
| sets the pose
const Pose2D & | getPose () const
| returns the pose
void | setSpeed (const double &_speed)
| sets the speed
const double & | getSpeed () const
| returns the speed
void | setValidity (const double &v)
| sets the validity
void | setPlayerNumber (const Player::playerNumber p)
| sets the player number
void | setTimeStamp (const long &t)
| sets the timestamp
const double & | getValidity () const
| returns the validity
const Player::playerNumber & | getPlayerNumber () const
| returns the playerRole
const long & | getTimeStamp () const
| return the timeStamp
int | getPlayerNumberAsInt () const
| returns the player number as an Integer
void | operator= (const PlayerPose &other)
| copies another PlayerPose to this one
void | setSigmaMin (const double sigma)
| sets the sigmaMin
const double & | getSigmaMin () const
| returns the sigmaMin
void | setSigmaMaj (const double sigma)
| sets the sigmaMaj
const double & | getSigmaMaj () const
| returns the sigmaMaj
void | setCosAngle (const double cos)
| sets the cosAngle
const double & | getCosAngle () const
| returns the cosAngle
void | setSinAngle (const double sin)
| sets the sinAngle
const double & | getSinAngle () const
| returns the sinAngle
## Public Attributes
unsigned long | frameNumber
| The frame number of the image that was used to create the percept.
## Private Attributes
Pose2D | pose
| The position and orientation of the player as a Pose2D.
double | speed
| The speed of the player.
double | validity
| The validity of the located robot.
double | sigmaMin
| The variance in Min-direction.
double | sigmaMaj
| The variance in Maj-direction.
double | cosAngle
| The cosinus of the angle of the variance-ellipse.
double | sinAngle
| The sinus of the angle of the variance-ellipse.
long | timeStamp
| The last update of position.
Player::playerNumber | playerNumber
| Playernumber.

## Detailed Description

This class contains the informations about the PlayerPose of a located robot.

This is not for informations about the own robot.

Definition at line 22 of file PlayerPoseCollection.h.

## Constructor & Destructor Documentation

PlayerPose::PlayerPose | ( |  | ) | `[inline]`

| Constructor. Definition at line 26 of file PlayerPoseCollection.h. References sigmaMaj, and sigmaMin.

PlayerPose::PlayerPose | ( | const PlayerPose & | other | ) | `[inline]`

| Copy-Constructor. Definition at line 28 of file PlayerPoseCollection.h.

PlayerPose::~PlayerPose | ( |  | ) | `[inline]`

| Destructor. Definition at line 30 of file PlayerPoseCollection.h.

## Member Function Documentation

void PlayerPose::setFrameNumber | ( | unsigned long | frameNumber | ) | `[inline]`

| Definition at line 34 of file PlayerPoseCollection.h. Referenced by LogPlayer::saveSynchronized().

void PlayerPose::setPose | ( | const Pose2D & | p | ) | `[inline]`

| sets the pose Definition at line 37 of file PlayerPoseCollection.h. Referenced by PlayerPoseCollection::setOpponentPlayerPose(), and PlayerPoseCollection::setOwnPlayerPose().

void PlayerPose::setRobotPose | ( | const RobotPose & | p | ) | `[inline]`

| sets the pose Definition at line 40 of file PlayerPoseCollection.h. References RobotPose::getPose(), RobotPose::getValidity(), and RobotPose::timestamp. Referenced by PlayerPoseCollection::setOwnPlayerPose().

Here is the call graph for this function:

void PlayerPose::setPose | ( | const double & | x,
|  | const double & | y,
|  | const double & | rotation
| ) | `[inline]`

| sets the pose Definition at line 48 of file PlayerPoseCollection.h. References Pose2D::rotation, Pose2D::translation, Vector2< double >::x, and Vector2< double >::y.

const Pose2D& PlayerPose::getPose | ( |  | ) | const`[inline]`

| returns the pose Definition at line 52 of file PlayerPoseCollection.h. Referenced by AngleSymbols::calculateCombinedAngles(), GT2005ObstaclesLocator::determineNextFreeTeammate(), PassSymbols::getAngleToPassReceiver(), PassSymbols::getAngleToPassSender(), GT2005StrategySymbols::getAngleToTeammate(), OpenChallengeSymbols::guideDogMoveForward(), OpenChallengeSymbols::guideDogTellsBlindDogTurn(), Field::placePlayers(), and GTStandardConverter::setData().

void PlayerPose::setSpeed | ( | const double & | _speed | ) | `[inline]`

| sets the speed Definition at line 55 of file PlayerPoseCollection.h. Referenced by GTCamPlayersLocator::execute().

const double& PlayerPose::getSpeed | ( |  | ) | const`[inline]`

| returns the speed Definition at line 60 of file PlayerPoseCollection.h.

void PlayerPose::setValidity | ( | const double & | v | ) | `[inline]`

| sets the validity Definition at line 63 of file PlayerPoseCollection.h. Referenced by PlayerPoseCollection::setOpponentPlayerPose(), and PlayerPoseCollection::setOwnPlayerPose().

void PlayerPose::setPlayerNumber | ( | const Player::playerNumber | p | ) | `[inline]`

| sets the player number Definition at line 66 of file PlayerPoseCollection.h. Referenced by GTCamPlayersLocator::execute(), and PlayerPoseCollection::setOwnPlayerPose().

void PlayerPose::setTimeStamp | ( | const long & | t | ) | `[inline]`

| sets the timestamp Definition at line 69 of file PlayerPoseCollection.h. Referenced by PlayerPoseCollection::setOwnPlayerPose().

const double& PlayerPose::getValidity | ( |  | ) | const`[inline]`

| returns the validity Definition at line 72 of file PlayerPoseCollection.h. Referenced by GTStandardConverter::setData().

const Player::playerNumber& PlayerPose::getPlayerNumber | ( |  | ) | const`[inline]`

| returns the playerRole Definition at line 75 of file PlayerPoseCollection.h. Referenced by PlayerPoseCollection::getOwnPlayerPoseByPlayerNumber().

const long& PlayerPose::getTimeStamp | ( |  | ) | const`[inline]`

| return the timeStamp Definition at line 78 of file PlayerPoseCollection.h.

int PlayerPose::getPlayerNumberAsInt | ( |  | ) | const`[inline]`

| returns the player number as an Integer Definition at line 81 of file PlayerPoseCollection.h.

void PlayerPose::operator= | ( | const PlayerPose & | other | ) |

| copies another PlayerPose to this one Definition at line 9 of file PlayerPoseCollection.cpp. References cosAngle, playerNumber, pose, sigmaMaj, sigmaMin, sinAngle, speed, timeStamp, and validity.

void PlayerPose::setSigmaMin | ( | const double | sigma | ) | `[inline]`

| sets the sigmaMin Definition at line 87 of file PlayerPoseCollection.h. References sigmaMin. Referenced by GTCamPlayersLocator::execute().

const double& PlayerPose::getSigmaMin | ( |  | ) | const`[inline]`

| returns the sigmaMin Definition at line 90 of file PlayerPoseCollection.h. References sigmaMin.

void PlayerPose::setSigmaMaj | ( | const double | sigma | ) | `[inline]`

| sets the sigmaMaj Definition at line 93 of file PlayerPoseCollection.h. References sigmaMaj. Referenced by GTCamPlayersLocator::execute().

const double& PlayerPose::getSigmaMaj | ( |  | ) | const`[inline]`

| returns the sigmaMaj Definition at line 96 of file PlayerPoseCollection.h. References sigmaMaj.

void PlayerPose::setCosAngle | ( | const double | cos | ) | `[inline]`

| sets the cosAngle Definition at line 99 of file PlayerPoseCollection.h. References cosAngle. Referenced by GTCamPlayersLocator::execute().

const double& PlayerPose::getCosAngle | ( |  | ) | const`[inline]`

| returns the cosAngle Definition at line 102 of file PlayerPoseCollection.h. References cosAngle.

void PlayerPose::setSinAngle | ( | const double | sin | ) | `[inline]`

| sets the sinAngle Definition at line 105 of file PlayerPoseCollection.h. References sinAngle. Referenced by GTCamPlayersLocator::execute().

const double& PlayerPose::getSinAngle | ( |  | ) | const`[inline]`

| returns the sinAngle Definition at line 108 of file PlayerPoseCollection.h. References sinAngle.

## Member Data Documentation

unsigned long PlayerPose::frameNumber

| The frame number of the image that was used to create the percept. Definition at line 32 of file PlayerPoseCollection.h.

Pose2D PlayerPose::pose`[private]`

| The position and orientation of the player as a Pose2D. Definition at line 112 of file PlayerPoseCollection.h. Referenced by operator=().

double PlayerPose::speed`[private]`

| The speed of the player. Definition at line 115 of file PlayerPoseCollection.h. Referenced by operator=().

double PlayerPose::validity`[private]`

| The validity of the located robot. Definition at line 118 of file PlayerPoseCollection.h. Referenced by operator=().

double PlayerPose::sigmaMin`[private]`

| The variance in Min-direction. Definition at line 121 of file PlayerPoseCollection.h. Referenced by getSigmaMin(), operator=(), PlayerPose(), and setSigmaMin().

double PlayerPose::sigmaMaj`[private]`

| The variance in Maj-direction. Definition at line 124 of file PlayerPoseCollection.h. Referenced by getSigmaMaj(), operator=(), PlayerPose(), and setSigmaMaj().

double PlayerPose::cosAngle`[private]`

| The cosinus of the angle of the variance-ellipse. Definition at line 127 of file PlayerPoseCollection.h. Referenced by getCosAngle(), operator=(), and setCosAngle().

double PlayerPose::sinAngle`[private]`

| The sinus of the angle of the variance-ellipse. Definition at line 130 of file PlayerPoseCollection.h. Referenced by getSinAngle(), operator=(), and setSinAngle().

long PlayerPose::timeStamp`[private]`

| The last update of position. Definition at line 134 of file PlayerPoseCollection.h. Referenced by operator=().

Player::playerNumber PlayerPose::playerNumber`[private]`

| Playernumber. Definition at line 137 of file PlayerPoseCollection.h. Referenced by operator=().

The documentation for this class was generated from the following files:

- Representations/Cognition/PlayerPoseCollection.h
- Representations/Cognition/PlayerPoseCollection.cpp